<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class DayResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language','ar');
        \App::setLocale($lang);

        return [
            'id' => $this->id,
            'day_name' => $this->day_name[$lang],
            'day_code' => $this->day_code,
            'from_hour' => $this->from_hour,
            'to_hour' => $this->to_hour,
        ];
    }
}
