<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class NewTopicesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language','ar');
        \App::setLocale($lang);

        return [
            'id'=>$this->id,
            'title'=>$this->title ? $this->title[$lang] : '',
            'description'=>$this->description ? $this->description[$lang] : '',
            'image'=>$this->image
        ];
    }
}
