<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CourseDocument extends Model
{

    protected $table = 'course_documents';
    public $timestamps = true;
    protected $fillable = array('course_id', 'document','document_name');
    protected $casts= ['document_name'=>'json'] ;

    public function setDocumentAttribute()
    {
        $file = request()->file('document');
        $destinationPath = 'documents/courses/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['document'] = $filename;
    }

    public function getDocumentAttribute()
    {
        if ($this->attributes['document']) {
            return asset('documents/courses/') . '/' . $this->attributes['document'];
        }
        return asset('logo.png');
    }
}
