<?php


namespace App\Repositories;


use App\Models\Bank;

class BanksRepository
{

    public function index()
    {
        return Bank::all();
    }

    public function show($id)
    {
        return Bank::findOrFail($id);
    }

    public function store()
    {
        $bank = new Bank();
        $bank['bank_name->ar'] = request()->bank_name_ar;
        $bank['bank_name->en'] = request()->bank_name_en;
        if (request()->hasFile('bank_image')) $bank->setBankImageAttribute();
        $bank['account_number'] = request()->account_number;
        $bank['iban_number'] = request()->iban_number;
        $bank->save();
    }
    public function update($id){
        $bank = $this->show($id);
        $bank['bank_name->ar'] = request()->bank_name_ar;
        $bank['bank_name->en'] = request()->bank_name_en;
        if (request()->hasFile('bank_image')) $bank->setBankImageAttribute();
        $bank['account_number'] = request()->account_number;
        $bank['iban_number'] = request()->iban_number;
        $bank->update();
    }
    public function destroy($id){
        Bank::destroy($id);
    }
}
