<?php


namespace App\Repositories;


use App\Models\CourseDay;

class CourseDayRepository
{
    public function index($id)
    {
        return CourseDay::whereCourseId($id)->get();
    }

    public function destroy($id)
    {
        CourseDay::destroy($id);
    }
    public function show($id){
        return CourseDay::find($id);
    }

    public function update($id)
    {
        $days = ['Saturday' => 'السبت', 'Sunday' => 'الأحد', 'Monday' => 'الإثنين', 'Tuesday' => 'الثلاثاء', 'Wednesday' => 'الأربعاء', 'Thursday' => 'الخميس', 'Friday' => 'الجمعة'];
        $course_day = $this->show($id);
        $course_day['day_name->ar'] = $days[request()->day_name];
        $course_day['day_name->en'] = request()->day_name;
        $course_day['from_hour'] = request()->from_hour;
        $course_day['to_hour'] = request()->to_hour;
        $course_day['day_code'] = request()->day_name;
        $course_day->update();

    }
    public function store($id){
        $days = ['Saturday' => 'السبت', 'Sunday' => 'الأحد', 'Monday' => 'الإثنين', 'Tuesday' => 'الثلاثاء', 'Wednesday' => 'الأربعاء', 'Thursday' => 'الخميس', 'Friday' => 'الجمعة'];
        $course_day = new CourseDay();
        $course_day['day_name->ar'] = $days[request()->day_name];
        $course_day['day_name->en'] = request()->day_name;
        $course_day['from_hour'] = request()->from_hour;
        $course_day['to_hour'] = request()->to_hour;
        $course_day['day_code'] = request()->day_name;
        $course_day['course_id'] = $id;
        $course_day->save();
    }
}
