<?php

function getRate($rated_id, $type)
{

    $sum = 0;
    if ($type == 'course') {
        $sum = \App\Models\Rate::where('course_id', $rated_id)->sum('course_rate');
        $count = \App\Models\Rate::where('course_id', $rated_id)->count();
    } elseif ($type == 'teacher') {
        $sum = \App\Models\Rate::where('course_id', $rated_id)->sum('teacher_rate');
        $count = \App\Models\Rate::where('course_id', $rated_id)->count();
    }

    if ($sum == 0) {
        return 0;
    } else {
        $result = $sum / $count;
        return round($result, 2);
    }

}
function getPaymentStatus($payment){
    $methods = ['visa'=>"فيزا - دفع إليكتروني",'bank'=>'تحويل بنكى','paypal'=>'باي بال','zbony'=>'زبونى','sala'=>'متجر سلة'];
    return $methods[$payment];
}

function success_toast(){
    return   toast('تمت العملية بنجاح', 'success');
}
function getPaymentStatusAdmin($status){
    $statuses = ['pending'=>'معلق','accepted'=>'تم الموافقة','refused'=>'مرفوض'];
    return $statuses[$status];

}

