@extends('admin.layout.master')
@section('title', "المشتركين")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المشتركين</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">المشتركين</h4>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الإسم</th>
                        <th>رقم الجوال</th>
                        <th>البريدالالكترونى</th>
                        <th>القسم - التخصص</th>
                        <th>الدولة</th>
                        <th>الحالة</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->username}}</td>
                            <td>{{$row->mobile}}</td>
                            <td>{{$row->email}}</td>
                            <td>{{$row->category->name['ar']}}</td>
                            <td>{{$row->country->name['ar']}}</td>
                            <td>{{
                            ($row->status == 'active') ? "مفعل" : "غير مفعل"
                            }}</td>

                            <td>
                                <button type="button" class="btn btn-info waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">تعديل الحالة
                                </button>


                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">تعديل العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <form method="post" enctype="multipart/form-data"
                                          action="{{route('students.update',$row->id)}}">
                                        @csrf
                                        @method('PATCH')
                                        <div class="modal-body">


                                            <div class="form-group">
                                                <label for="exampleInputEmail1">الحالة</label>

                                              <select name="status" required class="form-control">
                                                  <option value="active" {{$row->status == 'active' ? "selected" : ""}}>
                                                    مفعل
                                                  </option>
                                                  <option value="not_active" {{$row->status == 'not_active' ? "selected" : ""}}>
                                                      حظر
                                                  </option>
                                              </select>
                                                @if ($errors->has('status'))
                                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                                @endif
                                            </div>




                                        </div>
                                        <div class="modal-footer">


                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-success waves-effect waves-light">تعديل
                                            </button>


                                        </div>
                                    </form>

                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->




                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
