<?php $__env->startSection('title', 'إختبارات تجريبية'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">إختبارات تجريبية</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('exams.store')); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان بالعربية</label>
                                <input type="text" class="form-control" value="<?php echo e(old('title_ar')); ?>" name="title_ar"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالعربية">
                                <?php if($errors->has('title_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('title_ar')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان بالانجليزية</label>
                                <input type="text" class="form-control" value="<?php echo e(old('title_en')); ?>" name="title_en"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالانجليزية">
                                <?php if($errors->has('title_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('title_en')); ?></small>
                                <?php endif; ?>
                            </div>



                            <div class="form-group">
                                <label for="exampleInputEmail1">الملف </label>
                                <input type="file" name="file" class="dropify"/>

                                <?php if($errors->has('file')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('file')); ?></small>
                                <?php endif; ?>
                            </div>


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/educourses/resources/views/admin/exams/create.blade.php ENDPATH**/ ?>