<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class NewTopic extends Model
{

    protected $table = 'new_topics';
    public $timestamps = true;
    protected $fillable = array('title', 'description', 'image');
    protected $casts = ['title' => 'json', 'description' => 'json'];
    public function getImageAttribute()
    {

        if (isset($this->attributes['image'])) {
            return asset('images/topics/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/topics/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
}
