<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Notification extends Model
{

    protected $table = 'notifications';
    public $timestamps = true;
    protected $fillable = array('user_id', 'body', 'type', 'side_col');
    protected $casts = ['body' => 'json'];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

}
