<?php


namespace App\Repositories;


use App\Models\Category;

class CategoriesRepository
{
    public function index()
    {
        return Category::all();
    }
    public function show($id){
        return Category::findOrFail($id);
    }
    public function update($id){
        $category = $this->show($id);
        $category['name->ar'] = request()->name_ar;
        $category['name->en'] = request()->name_en;
        $category->update();
    }

    public function store()
    {
        $category = new Category();
        $category['name->ar'] = request()->name_ar;
        $category['name->en'] = request()->name_en;
        $category->save();
    }
    public function destroy($id){
        Category::destroy($id);
    }

}
