<?php


namespace App\Repositories;


use App\Models\ReferenceSummary;

class ReferenceSummariesRepositories
{


    public function index()
    {
        return ReferenceSummary::latest()->get();
    }

    public function store()
    {
        $topic = new ReferenceSummary();
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        $topic['category_id'] = request()->category_id;
        $topic['description->ar'] = request()->description_ar;
        $topic['description->en'] = request()->description_en;
        $topic['inside_advise->ar'] = request()->inside_advise_ar;
        $topic['inside_advise->en'] = request()->inside_advise_en;
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic->save();
    }

    public function show($id)
    {
        return ReferenceSummary::find($id);
    }

    public function update($id)
    {
        $topic = ReferenceSummary::find($id);
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        $topic['category_id'] = request()->category_id;
        $topic['description->ar'] = request()->description_ar;
        $topic['description->en'] = request()->description_en;
        $topic['inside_advise->ar'] = request()->inside_advise_ar;
        $topic['inside_advise->en'] = request()->inside_advise_en;
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic->update();
    }

    public function destroy($id)
    {
        ReferenceSummary::destroy($id);
    }



}
