<?php


namespace App\Repositories;
use App\Models\StudentOpinion;

class StudentOpinionsRepository
{

    public function index()
    {
        return StudentOpinion::latest()->get();
    }

    public function store()
    {
        $topic = new StudentOpinion();
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic->save();
    }

    public function show($id)
    {
        return StudentOpinion::find($id);
    }

    public function update($id)
    {
        $topic = StudentOpinion::find($id);
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic->update();
    }

    public function destroy($id)
    {
        StudentOpinion::destroy($id);
    }


}
