<?php


namespace App\Repositories;


use App\Models\User;

class StudentsRepository
{

    public function index()
    {
        return User::latest()->get();
    }

    public function show($id)
    {
        return User::find($id);
    }

    public function update($id)
    {
        $user = $this->show($id);
        $user->username = request()->username;
        $user->mobile = request()->mobile;
        $user->email = request()->email;
        $user->status = request()->status;
        $user->category_id = \request()->category_id;
        if (\request()->password) $user->password = bcrypt(\request()->password);
        $user->country_id = \request()->country_id;
        if (\request()->hasFile('image')) $user->setImageAttribute();
        $user->update();
    }

    public function destroy($id)
    {
        User::destroy($id);
    }
}

