<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateBanksTable extends Migration {

	public function up()
	{
		Schema::create('banks', function(Blueprint $table) {
			$table->increments('id');
			$table->json('bank_name')->nullable();
			$table->string('bank_image')->nullable();
			$table->string('account_number')->nullable();
			$table->string('iban_number')->nullable();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('banks');
	}
}
