@extends('admin.layout.master')
@section('title', 'طلبات الدورات المجانية')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">طلبات الدورات المجانية</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('free_course_requests.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">حالة الموافقة والرفض للأدمن</label>

                                <select name="admin_accept" required class="form-control">
                                    <option {{$row->admin_accept == 'pending'  ? 'selected' : ''}} value="pending">
                                        فى الانتظار
                                    </option>
                                    <option {{$row->admin_accept == 'accepted'? 'selected' : ''}} value="accepted">تم
                                        الموافقة
                                    </option>
                                    <option {{$row->admin_accept == 'refused'? 'selected' : ''}} value="refused">تم
                                        الرفض
                                    </option>
                                </select>
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
