@extends('admin.layout.master')
@section('title', 'الإشعارات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الإشعارات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">



                <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab"
                            aria-controls="pills-home" aria-selected="true">مستخدمين التطبيق</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab"
                            aria-controls="pills-profile" aria-selected="false">مشتركين الدورات</a>
                    </li>


                </ul>
                <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">

                        <div class="row">
                            <div class="col-xl-12">
                                <form method="post" action="{{ route('all_student_notifications') }}" enctype="multipart/form-data">
                                    @csrf

                                    <div class="row">




                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">المحتوي باللغه العربية</label>
                                            <textarea name="body_ar" style="height: 144px" class="form-control" required
                                                placeholder="المحتوي باللغه العربية">{{ old('body_ar') }}</textarea>
                                            @if ($errors->has('body_ar'))
                                                <small class="text-danger">{{ $errors->first('body_ar') }}</small>
                                            @endif
                                        </div>


                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">المحتوي باللغه الإنجليزية</label>
                                            <textarea name="body_en" style="height: 144px" class="form-control" required
                                                placeholder="المحتوي باللغه الإنجليزية">{{ old('body_en') }}</textarea>
                                            @if ($errors->has('body_en'))
                                                <small class="text-danger">{{ $errors->first('body_en') }}</small>
                                            @endif
                                        </div>



                                    </div>



                                    <div class="form-group">
                                        <label for="exampleInputEmail1">يمكنكم إختيار مستخدمين أو ارسال للجميع</label>

                                        <br>
                                        <select style="direction: rt" class="js-example-basic-multiple form-control" name="students[]" multiple="multiple">
                                            @foreach ($all_students as $student)
                                                <option value="{{ $student->id }}">{{ $student->username }} - {{ $student->mobile }}
                                                </option>
                                            @endforeach

                                        </select>

                                    </div>







                                    <button type="submit" class="btn btn-primary">إرسال</button>
                                </form>
                            </div><!-- end col -->


                        </div><!-- end row -->




                    </div>
                    <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">




                        <div class="row">
                            <div class="col-xl-12">
                                <form method="post" action="{{ route('all_subscribed_student_notifications') }}" enctype="multipart/form-data">
                                    @csrf

                                    <div class="row">





                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">المحتوي باللغه العربية</label>
                                            <textarea name="body_ar" style="height: 144px" class="form-control" required
                                                placeholder="المحتوي باللغه العربية">{{ old('body_ar') }}</textarea>
                                            @if ($errors->has('body_ar'))
                                                <small class="text-danger">{{ $errors->first('body_ar') }}</small>
                                            @endif
                                        </div>


                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">المحتوي باللغه الإنجليزية</label>
                                            <textarea name="body_en" style="height: 144px" class="form-control" required
                                                placeholder="المحتوي باللغه الإنجليزية">{{ old('body_en') }}</textarea>
                                            @if ($errors->has('body_en'))
                                                <small class="text-danger">{{ $errors->first('body_en') }}</small>
                                            @endif
                                        </div>



                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">يمكنكم إختيار طلاب أو ارسال للجميع</label>

                                        <br>
                                        <select style="direction: rtl" class="js-example-basic-multiple form-control" name="students[]" multiple="multiple">
                                            @foreach ($all_subscribed_students as $subscribed_student)
                                                <option value="{{ $subscribed_student->id }}">{{ $subscribed_student->username }} - {{ $subscribed_student->mobile }}
                                                </option>
                                            @endforeach

                                        </select>
                                    </div>



                                    <button type="submit" class="btn btn-primary">إرسال</button>
                                </form>
                            </div><!-- end col -->


                        </div><!-- end row -->









                    </div>

                </div>




            </div>
        </div><!-- end col -->
    </div>



@stop
