@extends('admin.layout.master')
@section('title', " الطلب رقم $row->code")
@section('content')
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <style>
        .checked {
            color: orange;
        }
    </style>

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">{{'الطلب رقم ' . $row->code}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">{{'الطلب رقم ' . $row->code}}</h4>

                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: larger;font-family: cairo">
                        <th>الرمز</th>
                        <th>الاسم</th>
                        <th>البريد الالكترونى</th>
                        <th>الحالة</th>
                        <th>نوع الدفع</th>
                        <th>المفترض دفعه</th>
                        <th>ملاحظات</th>
                        <th>الملف الرفق</th>
                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->code}}</td>
                        <td>{{$row->name}}</td>
                        <td>{{$row->email}}</td>
                        <td>{{$status[$row->status]}}</td>
                        <td>{{$payment_type[$row->payment_type]}}</td>
                        <td>{{$row->price->price}}</td>
                        <td>{{$row->body}}</td>
                        <td><a href="{{$row->document}}">
                                <button type="button"
                                        class="btn btn-primary waves-effect waves-light">الملف
                                </button>
                            </a></td>

                    </tr>

                    </tbody>
                </table>

            </div>
            @if($row->payment_type == 'bank')
                <div class="card-box">
                    <h4 class="header-title">بينات التحويل البنكى</h4>
                    <table class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr style="font-size: large ; font-family: cairo">
                            <th>البنك المحول له</th>
                            <th>اسم البنك المحول منه</th>
                            <th>رقم الايبان</th>
                            <th>صورة التحويل</th>

                        </tr>
                        </thead>
                        <tbody>

                        <tr>
                            <td>{{$row->bank->name['ar']}}</td>
                            <td>{{$row->bank_name}}</td>
                            <td>{{$row->bank_account_number}}</td>
                            <td>{{$row->bank_iban_number}}</td>
                            <td><img src="{{$row->transfer_image}}" style="height: 200px"></td>


                        </tr>


                        </tbody>
                    </table>

                </div>
            @endif
        </div>
    </div> <!-- end row -->



@stop
