<?php $__env->startSection('title', 'الإشعارات'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الإشعارات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">



                <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab"
                            aria-controls="pills-home" aria-selected="true">مستخدمين التطبيق</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab"
                            aria-controls="pills-profile" aria-selected="false">مشتركين الدورات</a>
                    </li>


                </ul>
                <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">

                        <div class="row">
                            <div class="col-xl-12">
                                <form method="post" action="<?php echo e(route('all_student_notifications')); ?>" enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>

                                    <div class="row">




                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">المحتوي باللغه العربية</label>
                                            <textarea name="body_ar" style="height: 144px" class="form-control" required
                                                placeholder="المحتوي باللغه العربية"><?php echo e(old('body_ar')); ?></textarea>
                                            <?php if($errors->has('body_ar')): ?>
                                                <small class="text-danger"><?php echo e($errors->first('body_ar')); ?></small>
                                            <?php endif; ?>
                                        </div>


                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">المحتوي باللغه الإنجليزية</label>
                                            <textarea name="body_en" style="height: 144px" class="form-control" required
                                                placeholder="المحتوي باللغه الإنجليزية"><?php echo e(old('body_en')); ?></textarea>
                                            <?php if($errors->has('body_en')): ?>
                                                <small class="text-danger"><?php echo e($errors->first('body_en')); ?></small>
                                            <?php endif; ?>
                                        </div>



                                    </div>



                                    <div class="form-group">
                                        <label for="exampleInputEmail1">يمكنكم إختيار مستخدمين أو ارسال للجميع</label>

                                        <br>
                                        <select style="direction: rt" class="js-example-basic-multiple form-control" name="students[]" multiple="multiple">
                                            <?php $__currentLoopData = $all_students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($student->id); ?>"><?php echo e($student->username); ?> - <?php echo e($student->mobile); ?>

                                                </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </select>

                                    </div>







                                    <button type="submit" class="btn btn-primary">إرسال</button>
                                </form>
                            </div><!-- end col -->


                        </div><!-- end row -->




                    </div>
                    <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">




                        <div class="row">
                            <div class="col-xl-12">
                                <form method="post" action="<?php echo e(route('all_subscribed_student_notifications')); ?>" enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>

                                    <div class="row">





                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">المحتوي باللغه العربية</label>
                                            <textarea name="body_ar" style="height: 144px" class="form-control" required
                                                placeholder="المحتوي باللغه العربية"><?php echo e(old('body_ar')); ?></textarea>
                                            <?php if($errors->has('body_ar')): ?>
                                                <small class="text-danger"><?php echo e($errors->first('body_ar')); ?></small>
                                            <?php endif; ?>
                                        </div>


                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">المحتوي باللغه الإنجليزية</label>
                                            <textarea name="body_en" style="height: 144px" class="form-control" required
                                                placeholder="المحتوي باللغه الإنجليزية"><?php echo e(old('body_en')); ?></textarea>
                                            <?php if($errors->has('body_en')): ?>
                                                <small class="text-danger"><?php echo e($errors->first('body_en')); ?></small>
                                            <?php endif; ?>
                                        </div>



                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">يمكنكم إختيار طلاب أو ارسال للجميع</label>

                                        <br>
                                        <select style="direction: rtl" class="js-example-basic-multiple form-control" name="students[]" multiple="multiple">
                                            <?php $__currentLoopData = $all_subscribed_students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscribed_student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($subscribed_student->id); ?>"><?php echo e($subscribed_student->username); ?> - <?php echo e($subscribed_student->mobile); ?>

                                                </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </select>
                                    </div>



                                    <button type="submit" class="btn btn-primary">إرسال</button>
                                </form>
                            </div><!-- end col -->


                        </div><!-- end row -->









                    </div>

                </div>




            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/educourses/resources/views/admin/notifications/index.blade.php ENDPATH**/ ?>